Show / Hide Table of Contents

# ChannelWriter<T> Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public abstract class ChannelWriter<T>

##### Inheritance

System.Object → ChannelWriter<T>

#### Type Parameters

`T`

### Members

#### Methods

Name | Description
--- | ---
Complete(Exception) |
TryComplete(Exception) |
TryWrite(T) |

### Methods

#### Complete(Exception)

    public void Complete(Exception error = null)

##### Parameters

`error` System.Exception

#### TryComplete(Exception)

    public abstract bool TryComplete(Exception error = null)

##### Parameters

`error` System.Exception

##### Returns

System.Boolean

#### TryWrite(T)

    public abstract bool TryWrite(T item)

##### Parameters

`item` T

##### Returns

System.Boolean